Vla-get-altunits

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-altunits vla-object )


機能
変換単位での寸法記入を取得する。


引数
  • vla-object … VLAオブジェクト(DimAligned、DimArcLength、DimDiametric、DimOrdinate、DimRadial、DimRadialLarge、DimRotated)


戻り値
ブール型
  •  :vlax-True: 変換単位での寸法記入をオンにする。
  •  :vlax-False: 変換単位での寸法記入をオフにする。


  • MEMO: このプロパティの初期値は False。
  • 注 : このプロパティは、指定された寸法でシステム変数 DIMALT[2 単位併記]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_AltUnits()
    ;; 平行寸法を作成して変換単位を切り替えるサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; 寸法の定義
    (setq point1 (vlax-3d-point 0 5 0)
          point2 (vlax-3d-point 5 5 0)
          location (vlax-3d-point 5 7 0))

    ;; 寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)
    
    ;; トグルで変更
    (setq originalValue (vla-get-AltUnits dimObj))
    (vla-Regen doc acAllViewports)

    (alert "変換単位をトグルで変更。")
    
    ;; 変換単位の末尾の 0 表示を切り替える
    (vla-put-AltUnits dimObj (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-AltUnits dimObj))

    (vla-Regen doc acAllViewports)
    
    (alert "元の値の変換単位の表示を切り替えます。")

    (vla-put-AltUnits dimObj (if (= newValue :vlax-true) :vlax-false :vlax-true))  
    (vla-Regen doc acAllViewports)
)

関連事項